{% extends "base.html" %}
{% from "macro.html" import post_item, render_pagination with context%}
{% block title %}
    主页
{% endblock %}
<style>
    /* Make the image fully responsive */
    .carousel-inner img {
        width: 100%;
        height: 100%;
    }
    </style>
{% block content %}
    <main>
        <div class="container mt-2">
            {% include "_flash.html" %}
            {% if pro_id %}
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a class="text-decoration-none" href="/">主页</a></li>
                {% if pro_id %}
                    <li class="breadcrumb-item">{{ name }}</li>
                {% endif %}
            </ol>
            {% if mod == 'lastcreate' %}
            <ul class="nav nav-pills">
                <li class="nav-item">
                    <div class="mod">
                    <a class="nav-link  bg-dark text-light" href="/index/lastcreate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
最新发布</a></div>
                </li>
                <li class="nav-item ml-3 ">
                    <a class="nav-link active bg-secondary " href="/index/lastupdate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
最近更新</a>
                </li>
                <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/mostlike/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
最多获赞</a>
                </li>
                 <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/my/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的发布</a>
                </li>
                <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/fork/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的收藏</a>
                </li>
            </ul>
            

            {% else %}
                {%if mod == 'lastupdate' %}
                <ul class="nav nav-pills">
                    <li class="nav-item">
                        <div class="mod">
                        <a class="nav-link active bg-secondary " href="/index/lastcreate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    最新发布</a></div>
                    </li>
                    <li class="nav-item ml-3 ">
                        <a class="nav-link bg-dark text-light" href="/index/lastupdate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    最近更新</a>
                    </li>
                    <li class="nav-item ml-3 active">
                        <a class="nav-link active bg-secondary " href="/index/mostlike/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    最多获赞</a>
                    </li>
                    <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/my/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的发布</a>
                </li>
                <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/fork/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的收藏</a>
                </li>
                </ul>
                {%else%}
                    {%if mod == 'mostlike' %}
                    <ul class="nav nav-pills">
                        <li class="nav-item">
                            <div class="mod">
                            <a class="nav-link active bg-secondary " href="/index/lastcreate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最新发布</a></div>
                        </li>
                        <li class="nav-item ml-3 ">
                            <a class="nav-link active bg-secondary" href="/index/lastupdate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最近更新</a>
                        </li>
                        <li class="nav-item ml-3 active">
                            <a class="nav-link bg-dark text-light " href="/index/mostlike/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最多获赞</a>
                        </li>
                        <li class="nav-item ml-3 active">
                        <a class="nav-link active bg-secondary " href="/index/my/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    我的发布</a>
                    </li>
                    <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/fork/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的收藏</a>
                </li>
                    </ul>
                    {%else%}
                    {%if mod == 'my' %}
                    <ul class="nav nav-pills">
                        <li class="nav-item">
                            <div class="mod">
                            <a class="nav-link active bg-secondary " href="/index/lastcreate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最新发布</a></div>
                        </li>
                        <li class="nav-item ml-3 ">
                            <a class="nav-link active bg-secondary" href="/index/lastupdate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最近更新</a>
                        </li>
                        <li class="nav-item ml-3 active">
                            <a class="nav-link active bg-secondary" href="/index/mostlike/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最多获赞</a>
                        </li>
                        <li class="nav-item ml-3 active">
                        <a class="nav-link bg-dark text-light " href="/index/my/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    我的发布</a>
                    </li>
                    <li class="nav-item ml-3 active">
                    <a class="nav-link active bg-secondary " href="/index/fork/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的收藏</a>
                </li>
                    </ul>
                    {%else%}
                    <ul class="nav nav-pills">
                        <li class="nav-item">
                            <div class="mod">
                            <a class="nav-link active bg-secondary " href="/index/lastcreate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最新发布</a></div>
                        </li>
                        <li class="nav-item ml-3 ">
                            <a class="nav-link active bg-secondary" href="/index/lastupdate/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最近更新</a>
                        </li>
                        <li class="nav-item ml-3 active">
                            <a class="nav-link active bg-secondary" href="/index/mostlike/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
        最多获赞</a>
                        </li>
                        <li class="nav-item ml-3 active">
                        <a class="nav-link active bg-secondary" href="/index/my/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
    我的发布</a>
                    </li>
                    <li class="nav-item ml-3 active">
                    <a class="nav-link bg-dark text-light " href="/index/fork/{{pro_id}}"><i class="fa fa-newspaper-o" aria-hidden="true"></i>&nbsp
我的收藏</a>
                </li>
                    </ul>
                    {% endif %}
                    {% endif %}
                {% endif %}
            {% endif %}
            <hr class="bg-secondary">
            {% else %}
                <ol class="breadcrumb">
                <li class="breadcrumb-item"><a class="text-decoration-none" href="/">主页</a></li>
                {%if mod == 'other' %}
                    <li class="breadcrumb-item">搜索结果</li>
                {% else %}
                    <li class="breadcrumb-item">未选择题目</li>
                {% endif %}
            </ol>
            {% endif %}
            <!-- <br>
            <hr class="bg-secondary"> -->
            <!-- <div>
            <a href="/index/lastupdate/{{pro_id}}">最新发布</a>
</div> -->
            <div class="row">
                {% include 'pro-list.html' %}
                <div class="col-md-5 mt-1">
                    <div class="tab-content">
                        <div id="latestPost" class="tab-pane active">
                            {{ post_item(latest) }}
                            <div class="float-right mt-3">
                                {% if tag %}
                                    {{ render_pagination(pagination) }}
                                {% endif %}
                                
                            </div>
                        </div>
                    </div>
                </div>
                {% include "slider.html" %}
            </div>
        </div>
    </main>
{% endblock %}


<script>
    
</script>